=== debian/changelog ===
gl2ps (1.3.8-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 May 2013 11:07:39 +0200

gl2ps (1.3.8-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Dec 2012 18:14:17 +0100

gl2ps (1.3.7-1~exp1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 18 Sep 2012 09:07:17 +0200

gl2ps (1.3.6-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2011 00:28:00 +0200

gl2ps (1.3.5-2) unstable; urgency=low

  * -Wl,--no-add-needed added to the linker. Should (Closes: #558864)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Dec 2009 17:59:07 +0100

gl2ps (1.3.5-1) unstable; urgency=low

  * New upstream release
  * change in the repack script (orig-tar.sh) since upstream changed the dir
    name
  * patch noexit.diff removed (applied upstream)
  * TODO file removed (no longer in upstream tarball)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Nov 2009 12:04:30 +0100

gl2ps (1.3.4-1) unstable; urgency=low

  * Initial release (Closes: #550369)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Oct 2009 16:44:27 +0200
