## gl2ps 1.3.9

=== debian/changelog ===
gl2ps (1.3.9-2) unstable; urgency=medium

  * [0e58a6b] Set strict version for Breaks/Replaces. (Closes: #826776)
  * [b85d12f] Fix package list in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Jun 2016 23:14:35 +0200

gl2ps (1.3.9-1) unstable; urgency=medium

  * [9b26219] Add autopkgtest.
  * Move package from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 May 2016 18:53:35 +0200

gl2ps (1.3.8-3) unstable; urgency=medium

  * [13bd395] Set version to 0.0.0. (Closes: #824882)

 -- Anton Gladky <gladk@debian.org>  Sat, 21 May 2016 07:57:24 +0200

gl2ps (1.3.9-1~exp2) experimental; urgency=medium

  * [e6f31b9] Add Breaks/Replaces for libglps0.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 May 2016 20:21:20 +0200

gl2ps (1.3.9-1~exp1) experimental; urgency=medium

  * [53b511d] Imported Upstream version 1.3.9. (Closes: #822057)
  * [ad4890f] Refresh patches.
  * [1db23dd] Update package name. (Closes: #824357)

 -- Anton Gladky <gladk@debian.org>  Thu, 19 May 2016 23:11:26 +0200

gl2ps (1.3.8-2) unstable; urgency=medium

  * [355710d] Refresh patches, remove outdated.
  * [2ee7615] Use cmake for lib-building. (Closes: #775405)
  * [25bac02] Remove dbg-binary.
  * [3e4b324] Set compat-level 9.
  * [bc15f05] Update install-files. Remove outdated files in d/.
  * [f22b3c6] Update d/copyright according to DEP-5.
  * [1889a43] Remove d/orig*.
  * [f63fdad] Move package into Debian Science Team. (Closes: #822161)
  * [48e813c] Update d/watch.
  * [7732718] Set --no-add-needed flag.
  * [53746fc] Do not install extra license files.
  * [7b05769] Ignore quilt dir
  * [bea2dbd] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 19 May 2016 22:38:49 +0200

gl2ps (1.3.8-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * 1000_gl2ps_tikz-fix-rotated-text.patch: Make sure brace is closed for
    rotated text (Closes: #820930).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 May 2016 15:31:44 +0200

gl2ps (1.3.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation error (missing libGL.so). Closes: #775412
    Add missing deps on libgl-dev

 -- Mathieu Malaterre <malat@debian.org>  Thu, 15 Jan 2015 12:48:33 +0100

gl2ps (1.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix undefined symbols. Closes: #775403
    + d/p/undef.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 15 Jan 2015 11:43:18 +0100
