=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-add-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.pdf
