=== debian/tests/control ===
Tests: build1 build2
Depends: libgl2ps-dev, build-essential
