=== debian/changelog ===
gl2ps (1.4.0+dfsg1-2) unstable; urgency=medium

  * [85c5383] Include 2 patches needed for VTK9. (Closes: #893869)
  * [3c01150] Set compat-level 11
  * [a3dd42c] Set Standards-Version 4.1.3
  * [8388471] control: update Vcs-Browser and Vcs-Git

 -- Anton Gladky <gladk@debian.org>  Sat, 24 Mar 2018 23:09:42 +0100

gl2ps (1.4.0+dfsg1-1) unstable; urgency=medium

  * [324752b] Clean tex-helper-files.
  * [9cfe0ac] Set Standards-Version: 4.1.0
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Sep 2017 21:35:46 +0200

gl2ps (1.4.0+dfsg1-1~exp1) experimental; urgency=medium

  * [d33fe24] New upstream version 1.4.0+dfsg1
  * [8911bc1] Add +dfsg1 prefix.
  * [afb2a8a] Switch to compat-level 10.
  * [1aca219] Refresh patches.
  * [c156fe4] Use more granular so-version (1.4).
  * [ad35f79] Update short description for libgl2ps-dev.
  * [4c82cdd] Use hardening=+all option.
  * [ff7d078] Add -doc package.
  * [0eee8f2] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sat, 20 May 2017 12:34:57 +0200

gl2ps (1.3.9-4) unstable; urgency=high

  * [b920f53] Fix typo in CMakeLists.

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Jun 2016 18:41:20 +0200

gl2ps (1.3.9-3) unstable; urgency=medium

  [ Agustin Martin Domingo ]
  * [df690e2]  Remove 1000_gl2ps_tikz-fix-rotated-text.patch.
               Applied upstream in 1.3.9. (Closes: #827839)

  [ Anton Gladky ]
  * [63f256d] Add freeglut3-dev to tests/control.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Jun 2016 21:29:11 +0200
