=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: gl2ps
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, mesa-common-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 11),
+               cmake,
+               mesa-common-dev,
+               libgl1-mesa-dev | libgl-dev
+Build-Depends-Indep: texlive-latex-recommended
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/gl2ps
+Vcs-Git: https://salsa.debian.org/science-team/gl2ps.git
 Homepage: http://geuz.org/gl2ps/
-Vcs-Svn: https://bollin.googlecode.com/svn/gl2ps/trunk
-Vcs-Browser: http://bollin.googlecode.com/svn/gl2ps/trunk
 
 Package: libgl2ps-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends:  libgl2ps0 (= ${binary:Version}), ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application
+Depends: libgl2ps1.4 (= ${binary:Version}),
+         ${misc:Depends}
+Description: Lib providing high quality vector output for OpenGL application, dev files
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and
@@ -31,9 +37,10 @@
  This package contains the development files needed to compile software to
  use the libgl2ps API.
 
-Package: libgl2ps0
+Package: libgl2ps1.4
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Lib providing high quality vector output for OpenGL application
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
@@ -49,14 +56,12 @@
  output formats should be relatively easy; you can also use the excellent
  pstoedit program to transform the PostScript files generated by GL2PS into
  many other vector formats such as xfig, cgm, wmf, etc.
- .
 
-Package: libgl2ps0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgl2ps0 (= ${binary:Version}), ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application
+Package: libgl2ps-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Lib providing high quality vector output for OpenGL application. Documentation
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and
@@ -72,4 +77,4 @@
  pstoedit program to transform the PostScript files generated by GL2PS into
  many other vector formats such as xfig, cgm, wmf, etc.
  .
- This package contains the debugging symbols of the library.
+ The package contains documentation
