## gl2ps 1.4.2%2Bdfsg1

=== debian/changelog ===
gl2ps (1.4.2+dfsg1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:42:28 +0200

gl2ps (1.4.2+dfsg1-2) unstable; urgency=medium

  * Team Upload.
  * [ce0ac19] Attempt making reproducible (Closes: #989572)
  * [4a7216c] Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 23:56:31 +0530

gl2ps (1.4.2+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Mar 2021 19:57:58 +0100

gl2ps (1.4.2+dfsg1-1) unstable; urgency=medium

  * [d143218] New upstream version 1.4.2+dfsg1
  * [93df03f] Update patches
  * [61676de] Remove symbol-file
  * [6e4c5ce] Use secure URI in debian/watch.
  * [c10ad20] Use secure URI in Homepage field.
  * [af95085] Remove obsolete fields Contact, Name from debian/upstream/metadata
              (already present in machine-readable debian/copyright).

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Apr 2020 21:07:39 +0200

gl2ps (1.4.0+dfsg1-3) unstable; urgency=medium

  * Team Upload.
  * [c7a803e] Update Build Depends and Description (Closes: #952247)
  * [eb85949] Add upstream/metadata
  * [9fddf65] Fix spaces in rules
  * [1b88259] Add relevant symbols required by the package
  * [023b2b2] Fix lintian
  * [adc7918] Drop compat, switch to debhelper-compat
  * [e1cd13d] Add "Rules-Requires-Root:no"
  * [24f2f1a] Bump standards version to 4.5.0
  * [bd3cae5] Fix compiling command in tests

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 29 Feb 2020 15:27:49 +0530
