=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                mesa-common-dev,
                libgl1-mesa-dev | libgl-dev
-Build-Depends-Indep: texlive-latex-recommended
-Standards-Version: 4.1.3
+Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/gl2ps
 Vcs-Git: https://salsa.debian.org/science-team/gl2ps.git
-Homepage: http://geuz.org/gl2ps/
+Homepage: https://geuz.org/gl2ps/
+Rules-Requires-Root: no
 
 Package: libgl2ps-dev
 Architecture: any
@@ -61,7 +62,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Lib providing high quality vector output for OpenGL application. Documentation
+Description: Lib providing high quality vector output for OpenGL application, documentation
  GL2PS is a C library providing high quality vector output for any OpenGL
  application. The main difference between GL2PS and other similar libraries
  is the use of sorting algorithms capable of handling intersecting and
